## thunderbird 140.7.1+build1

=== debian/changelog ===
thunderbird (1:140.7.1+build1-0ubuntu0.22.04.1) jammy; urgency=medium

  * d/b/rules.mk, d/control:
    - Allow LLVM 15, it's the latest we have in 22.04.
    - Allow Rustc 1.89, it is now available in 22.04 might help prevent OOM.
  * To avoid OOM, in Armhf:
    - d/b/rules.mk: Disable parallelism in Armhf.
    - d/c/mozconfig.in: Disable debug symbols.
    - d/p/armhf-rustc-thin-lto.patch -> armhf-rustc-lto-off.patch:
      Completely disable LTO in Armhf.
      Simply removing the Clto flag as the previous version of the patch did
      does not cut it, as Rustc then uses thin LTO.

  [ Rico Tzschichholz ]
  * New upstream stable release (originally prepared at
    https://launchpad.net/~mozillateam/+archive/ubuntu/ppa/+packages).
    + Require rustc-1.82 and use rustc 1.84/85 if available
      - debian/control{,.in}
      - debian/build/rules.mk
    + Use clang 19/20/21 if available
      - debian/control{,.in}
      - debian/build/rules.mk
    + Escape possible "+" in path to avoid regex failure
      - debian/patches/fix-moz-l10n.patch
    + Update cbindgen to 0.29.0
      - debian/build/create-tarball.py
    + Bump dump_sys to 2.3.5
      - debian/build/create-tarball.py

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 29 Jan 2026 09:40:39 +0100

=== debian/control ===
# vim:noexpandtab:
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Git: https://git.launchpad.net/~mozillateam/thunderbird -b jammy
Vcs-Browser: https://git.launchpad.net/~mozillateam/thunderbird
Build-Depends: cdbs,
	debhelper (>= 9),
	autotools-dev,
	autoconf2.13,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk-3-dev (>= 3.4),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	libpulse-dev,
	nasm (>= 2.14.02),
	yasm (>= 1.1),
	libkrb5-dev,
	unzip,
	dbus-x11,
	xvfb,
	python3 (>= 3.8),
	libaom-dev [ppc64el riscv64 s390x],
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
 	clang-21 | clang-20 | clang-19 | clang-18 | clang-15,
 	libclang-21-dev | libclang-20-dev | libclang-19-dev | libclang-18-dev | libclang-15-dev,
 	llvm-21-dev | llvm-20-dev | llvm-19-dev | llvm-18-dev | llvm-15-dev,
 	cargo-1.89 | cargo-1.85 | cargo-1.84 | cargo-1.82,
 	rustc-1.89 | rustc-1.85 | rustc-1.84 | rustc-1.82,
	nodejs (>= 12.22.9~)
Standards-Version: 3.9.1

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk3-4
Suggests: ${support:Suggests},
	ttf-lyx,
	libotr5,
Breaks: ${transitional:Breaks},
	tinyjsd (<< 1.2+git1-1ubuntu1),
	jsunit (<< 0.2.2-2ubuntu1),
	enigmail (<< 2:2.2),
Replaces: ${transitional:Replaces},
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Provides: mail-reader,
	${app:Provides}
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${unity:Depends},
	libnotify4 | libnotify1
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: oldlibs
Depends: ${misc:Depends}
Description: Email, RSS and newsgroup client - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

# Transitional packages below here

Package: xul-ext-lightning
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Can be dropped after 14.04
Package: xul-ext-calendar-timezones
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: xul-ext-gdata-provider
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: thunderbird-locale-bn, ${misc:Depends}
Description: Transitional Bengali language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-gb
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-us
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-ar
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-es
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-fy-nl
Architecture: all
Depends: thunderbird-locale-fy, ${misc:Depends}
Description: Transitional Western Frisian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ga-ie
Architecture: all
Depends: thunderbird-locale-ga, ${misc:Depends}
Description: Transitional Irish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nb-no
Architecture: all
Depends: thunderbird-locale-nb, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nn-no
Architecture: all
Depends: thunderbird-locale-nn, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pa-in
Architecture: all
Depends: thunderbird-locale-pa, ${misc:Depends}
Description: Transitional Punjabi language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-br
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-pt
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-sv-se
Architecture: all
Depends: thunderbird-locale-sv, ${misc:Depends}
Description: Transitional Swedish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ta-lk
Architecture: all
Depends: thunderbird-locale-ta, ${misc:Depends}
Description: Transitional Tamil language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-cn
Architecture: all
Depends: thunderbird-locale-zh-hans, ${misc:Depends}
Description: Transitional Simplified Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-tw
Architecture: all
Depends: thunderbird-locale-zh-hant, ${misc:Depends}
Description: Transitional Traditional Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: thunderbird-locale-af
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Thunderbird
 This package contains Afrikaans translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ar
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Thunderbird
 This package contains Arabic translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ast
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Thunderbird
 This package contains Asturian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-be
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}

## thunderbird 140.7.2esr+linuxmint1+zena

=== debian/changelog ===
thunderbird (1:140.7.2esr+linuxmint1+zena) unstable; urgency=medium

  * 140.7.2esr

 -- Linux Mint <root@linuxmint.com>  Mon, 16 Feb 2026 13:56:35 +0000

thunderbird (1:140.7.1esr+linuxmint1) unstable; urgency=medium

  * 140.7.1esr

 -- Linux Mint <root@linuxmint.com>  Tue, 27 Jan 2026 19:04:40 +0000

## thunderbird 140.8.0esr

=== debian/changelog ===
thunderbird (1:140.8.0esr-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 27 Feb 2026 19:54:32 +0100

thunderbird (1:140.8.0esr-1) unstable; urgency=medium

  * [2c79d20] d/source.filter: don't filter out *.orig files
  * [860f180] New upstream version 140.8.0esr
    Fixed CVE issues in upstream version 140.8 (MFSA 2026-17):
    CVE-2026-2757: Incorrect boundary conditions in the WebRTC: Audio/Video
                   component
    CVE-2026-2758: Use-after-free in the JavaScript: GC component
    CVE-2026-2759: Incorrect boundary conditions in the Graphics: ImageLib
                   component
    CVE-2026-2760: Sandbox escape due to incorrect boundary conditions in the
                   Graphics: WebRender component
    CVE-2026-2761: Sandbox escape in the Graphics: WebRender component
    CVE-2026-2762: Integer overflow in the JavaScript: Standard Library
                   component
    CVE-2026-2763: Use-after-free in the JavaScript Engine component
    CVE-2026-2764: JIT miscompilation, use-after-free in the JavaScript
                   Engine: JIT component
    CVE-2026-2765: Use-after-free in the JavaScript Engine component
    CVE-2026-2766: Use-after-free in the JavaScript Engine: JIT component
    CVE-2026-2767: Use-after-free in the JavaScript: WebAssembly component
    CVE-2026-2768: Sandbox escape in the Storage: IndexedDB component
    CVE-2026-2769: Use-after-free in the Storage: IndexedDB component
    CVE-2026-2770: Use-after-free in the DOM: Bindings (WebIDL) component
    CVE-2026-2771: Undefined behavior in the DOM: Core & HTML component
    CVE-2026-2772: Use-after-free in the Audio/Video: Playback component
    CVE-2026-2773: Incorrect boundary conditions in the Web Audio component
    CVE-2026-2774: Integer overflow in the Audio/Video component
    CVE-2026-2775: Mitigation bypass in the DOM: HTML Parser component
    CVE-2026-2776: Sandbox escape due to incorrect boundary conditions in the
                   Telemetry component in External Software
    CVE-2026-2777: Privilege escalation in the Messaging System component
    CVE-2026-2778: Sandbox escape due to incorrect boundary conditions in the
                   DOM: Core & HTML component
    CVE-2026-2779: Incorrect boundary conditions in the Networking: JAR
                   component
    CVE-2026-2780: Privilege escalation in the Netmonitor component
    CVE-2026-2781: Integer overflow in the Libraries component in NSS
    CVE-2026-2782: Privilege escalation in the Netmonitor component
    CVE-2026-2783: Information disclosure due to JIT miscompilation in the
                   JavaScript Engine: JIT component
    CVE-2026-2784: Mitigation bypass in the DOM: Security component
    CVE-2026-2785: Invalid pointer in the JavaScript Engine component
    CVE-2026-2786: Use-after-free in the JavaScript Engine component
    CVE-2026-2787: Use-after-free in the DOM: Window and Location component
    CVE-2026-2788: Incorrect boundary conditions in the Audio/Video: GMP
                   component
    CVE-2026-2789: Use-after-free in the Graphics: ImageLib component
    CVE-2026-2790: Same-origin policy bypass in the Networking: JAR component
    CVE-2026-2791: Mitigation bypass in the Networking: Cache component
    CVE-2026-2792: Memory safety bugs fixed in Firefox ESR 140.8, Thunderbird
                   ESR 140.8, Firefox 148 and Thunderbird 148
    CVE-2026-2793: Memory safety bugs fixed in Firefox ESR 115.33, Firefox ESR
                   140.8, Thunderbird ESR 140.8, Firefox 148 and
                   Thunderbird 148
  * [ff6cabd] d/rules: override dh_clean
  * [eb4c1eb] rebuild patch queue from patch-queue branch
    added patches:
    fixes/Add-missing-.gitmodules-files-which-are-needed-to-build-t.patch
  * [c9b11f8] d/rules: create empty .gitmodules file via dh_auto_configure

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 27 Feb 2026 15:41:01 +0100

thunderbird (1:140.7.1esr-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security
  * drop fixes only needed for sid/forky

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 01 Feb 2026 15:31:22 +0100

thunderbird (1:140.7.0esr-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security
  * drop patches/fixes only needed for sid/forky

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 16 Jan 2026 08:41:42 +0100

thunderbird (1:140.6.0esr-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 11 Dec 2025 11:10:55 +0100

thunderbird (1:140.5.0esr-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 14 Nov 2025 19:56:06 +0100

thunderbird (1:140.4.0esr-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 26 Oct 2025 07:15:51 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbgsym package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# ID of the l10n language packs from upstream, need to match the application.id
# in thunderbird-l10n/$LANG/manifest.json
export MOZ_LANGPACK_ID = $(shell grep MOZ_LANGPACK_EID comm/mail/locales/Makefile.in | cut -f2 -d @)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options. Picked partially from FF.

dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
lazy = $(eval $(1) = $$(if $$(___$(1)),,$$(eval ___$(1) := $(2)))$$(___$(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
	LDFLAGS += -Wl,-z,muldefs
endif
ifeq ($(DEB_BUILD_ARCH),ppc64el)
	# Work around upstream bug 1757271
	CFLAGS += -DSQLITE_BYTEORDER=1234
endif
ifeq ($(DEB_HOST_ARCH),arm64)
	CXXFLAGS += -DLIBYUV_DISABLE_SVE
endif

ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
	CC := gcc
	CXX := g++
	export CC
	export CXX
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
# Work around for https://sourceware.org/bugzilla/show_bug.cgi?id=30566
ifeq (,$(filter i386 amd64 ppc64%,$(DEB_HOST_ARCH)))
LDFLAGS += -Wl,--no-keep-memory
endif
LDFLAGS += -Wl,--as-needed

MOZ_ENABLE_V4L2 = 0
MOZ_ENABLE_VAAPI = 0
ifneq (,$(filter arm64 riscv64,$(DEB_HOST_ARCH)))
	MOZ_ENABLE_V4L2 = 1
endif
ifneq (,$(filter amd64 arm64 i386,$(DEB_BUILD_ARCH)))
	MOZ_ENABLE_VAAPI = 1
endif

# Use thinLTO on i386, to stay in the memory budget.
ifeq (i386,$(DEB_BUILD_ARCH))
export DEBIAN_RUST_LTO=-Clto=thin
endif

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

# Using the timestamp for MOZ_BUILD_DATE from the file './sourcestamp.txt'
# which is set by Mozilla while creating the release.
# This ensures we have a one-to-one date across the various package builds
# within Debian for one upstream version. This is important for user which
# are performing a dist-upgrade to a new release.
export MOZ_BUILD_DATE := ${shell head -n1 $(CURDIR)/sourcestamp.txt}
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
export MOZ_ENABLE_V4L2
export MOZ_ENABLE_VAAPI
# Some Debian build tools clear out some variables
export SHELL=/bin/bash
export PATH := /usr/lib/llvm-19/bin/:$(PATH)
# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo
export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=system

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	find -type f -name "*.pyc" -exec rm {} \;
	rm -rf third_party/python/psutil/tmp
	rm -f old-configure js/src/configure js/src/old-configure mozconfig.*
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	rm -rf $(CARGO_HOME)
	rm -rf $(MOZBUILD_STATE_PATH)

override_dh_clean:
	dh_clean -d

override_dh_auto_configure:
	# copy the mozconfig files in place
	cp debian/mozconfig.* .
	# Disable debug symbols when building on 32-bits machines, because
	# a) the rust compiler can't deal with it in the available address
	# space, and b) the linker can't deal with it in the available address
	# space either.
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
endif
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
	# create empty but missed (and needed) gitmodules files
	touch $(CURDIR)/comm/third_party/rust/wasi/.gitmodules
	# configure the various build settings for thunderbird
	DIST= python3 ./mach -v configure

# Ignore autoreconf, there is nothing that could be reconfigured. It's all
# newly generated right before debhelper would call that target.
override_dh_autoreconf:

override_dh_auto_build:
	# building the stuff
	dh_auto_build --builddirectory=obj-thunderbird
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n ;\
	for XPI in *; do \
		locale=`basename $${XPI}` ;\
		USED_LANGPACK_ID=`grep langpack- $${XPI}/manifest.json | tr '"' ' ' | awk '{print $$3}' | cut -f2-3 -d @` ;\
		if [ "$${USED_LANGPACK_ID}" != "$${MOZ_LANGPACK_ID}" ]; then \
			echo "MOZ_LANGPACK_ID mismatch! '$${USED_LANGPACK_ID}' != '$${MOZ_LANGPACK_ID}'" ;\
			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
			exit 1 ;\
		else \
			$(CURDIR)/debian/xpi-pack.sh $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		fi \
	done

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	# install thunderbird into temp install folder
	python3 ./mach -v install
	# install, symlinking thunderbird-l10n packages
	cd $(CURDIR)/thunderbird-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "preparing and working on 'thunderbird-l10n-$${lowercase_locale}  (langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi)" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
	done
	dh_bash-completion

override_dh_install-arch:
	dh_install
	# apparmor profile installed by dh_install
	dh_apparmor --profile-name=usr.bin.thunderbird -pthunderbird

override_dh_install-indep:
	dh_install
	# remove executable rights on *.js, *.png, *.xul files
	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;

override_dh_strip:
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_strip --automatic-dbgsym ;\
	else \
		dh_strip --no-automatic-dbgsym ;\
	fi

override_dh_shlibdeps:
	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0t64

override_dh_builddeb:
	# just build all packages if there is no 'UNRELEASED' within the changelog
	# found, otherwise skip the thunderbird-dbgsym package, it isn't there
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_builddeb ;\
	else \
		dh_builddeb -pthunderbird ;\
		for package in `grep -e \
			'Package: thunderbird-l10n' debian/control | awk '{print $$2;}'`; do \
			dh_builddeb -p$$package ;\
		done ;\
		sed -i '/thunderbird-dbgsym/d' debian/files ;\
	fi

override_dh_missing:
	dh_missing \
	-X usr/bin/thunderbird \
	-X usr/lib/thunderbird/crashreporter \
	-X usr/lib/thunderbird/crashhelper \

## thunderbird 140.8.0esr+linuxmint1+zena

=== debian/changelog ===
thunderbird (1:140.8.0esr+linuxmint1+zena) unstable; urgency=medium

  * 140.8.0esr

 -- Linux Mint <root@linuxmint.com>  Tue, 24 Feb 2026 17:41:32 +0000

thunderbird (1:140.7.2esr+linuxmint1) unstable; urgency=medium

  * 140.7.2esr

 -- Linux Mint <root@linuxmint.com>  Mon, 16 Feb 2026 13:56:35 +0000

## thunderbird 143.0.1

=== testing/webcompat/requirements.txt ===
asyncio==3.4.3
pillow==11.1.0
pytest-asyncio==0.16.0
urllib3==1.26

=== testing/web-platform/tests/tools/wptrunner/requirements.txt ===
html5lib==1.1
mozdebug==0.3.1
mozinfo==1.2.3  # https://bugzilla.mozilla.org/show_bug.cgi?id=1621226
mozlog==8.0.0
mozprocess==1.3.1
packaging==25.0
pillow==10.4.0; python_version < '3.9'
pillow==11.3.0; python_version >= '3.9'
requests==2.32.3
types-requests==2.32.0.20241016
urllib3==2.2.2
aioquic==1.2.0

=== debian/changelog ===
thunderbird (1:143.0.1-1) experimental; urgency=medium

  [ Carsten Schoenert ]
  * [a4f73a7] d/create-upstream-tarballs.py: Overhaul output
  * [4506d2b] d/watch: Mangle 'esr' suffix from version
  * [d23f372] New upstream version 143.0.1
  * [263213b] Rebuild patch queue from patch-queue branch
    Just refershing the patches.
  * [13d05fe] d/rules: Also remove .mypy_cache folder on cleanup

  [ Carles Pina i Estany ]
  * [3a2335b] d/control: Drop Recommends on thunderbird-l10n-fi
    (Closes: #1115457)

  [ Dandan Zhang ]
  * [87f6947] d/control: Adding loong64 architecture
    (Closes: #1059966)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 03 Oct 2025 09:47:01 +0200

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 bash-completion,
 bzip2,
 cargo (>= 1.80.1),
 cbindgen (>= 0.27.0),
 clang,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-exec,
 libasound2-dev [linux-any],
 libatk-adaptor,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-dev,
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig-dev,
 libglib2.0-dev (>= 2.22.0),
 libgtk-3-dev (>= 3.4),
 libhunspell-dev (>= 1.5.1~),
# libicu-dev (>= 72.1~),
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libnspr4-dev (>= 2:4.32~),
 libnss3-dev (>= 2:3.112~),
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 librnp-dev (>= 0.17.0),
 librust-toml-dev,
 libstartup-notification0-dev,
 libvpx-dev (>= 1.10.0),
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-dev,
 mesa-common-dev,
 nasm,
 nodejs (>= 12.22.0),
 python3,
 rustc (>= 1.80.1),
 unzip,
 zip,
 zlib1g-dev,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/experimental
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/experimental/
Homepage: https://www.thunderbird.net/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.7.2

Package: thunderbird
Architecture: amd64 arm64 i386 loong64 mips64el s390x ppc64el ppc64 riscv64
Depends:
 debianutils (>= 1.16),
 fontconfig,
 libotr5t64,
 librnp0 (>= 0.17.0),
 psmisc,
 x11-utils | kdialog | zenity,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
Provides:
 mail-reader,
Breaks:
 birdtray (<< 1.7.0+ds-1~),
 calendar-google-provider (<=1:68.2.1-1),
 enigmail (<< 2:2.2.0~),
 jsunit (<< 0.2.2-1~),
 webext-compactheader (<= 3.0.0~),
 xul-ext-dispmua (<= 1.8.4.6-1),
 webext-exteditor (<= 2.0.4-1),
 xul-ext-sieve (<= 0.3.1+dfsg-1~),
 webext-sogo-connector (<= 68.0.1-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 Thunderbird also includes an integrated calendar for handling events, events
 invitations and tasks in multiple calendars. It supports local calendars,
 CalDAV and plain ics files on CardDAV and WebDAV.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-af (>= ${binary:Version}),
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cak (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-cy (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-ca (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-es-mx (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-ka (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-lv (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pa-in (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-th (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-uz (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-af
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:af
Recommends:
 hunspell-af,
Description: Africaans language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Africaans.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:bg
Recommends:
 hunspell-bg | myspell-bg,
Description: Bulgarian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Bulgarian.

Package: thunderbird-l10n-br
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:br
Recommends:
 hunspell-br,
Description: Breton language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Breton.

Package: thunderbird-l10n-ca
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ca
Recommends:
 hunspell-ca | myspell-ca,
Description: Catalan/Valencian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Catalan/Valencian.

Package: thunderbird-l10n-cak
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cak-GT
Description: Kacqhikel language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Kacqhikel.

Package: thunderbird-l10n-cs
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cs
Recommends:
 hunspell-cs | myspell-cs-cz,
Description: Czech language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Czech.

Package: thunderbird-l10n-cy
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cy
Description: Welsh language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Welsh.

Package: thunderbird-l10n-da
Architecture: all
Section: localization

=== debian/rules ===
--- 
+++ 
@@ -45,9 +45,6 @@
 	# Work around upstream bug 1757271
 	CFLAGS += -DSQLITE_BYTEORDER=1234
 endif
-ifeq ($(DEB_HOST_ARCH),arm64)
-	CXXFLAGS += -DLIBYUV_DISABLE_SVE
-endif
 
 ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
 	CC := gcc
@@ -60,11 +57,16 @@
 # This should help on lower-end architectures like arm and mips, which
 # spend an immense amount of time swapping.
 LDFLAGS += -Wl,--reduce-memory-overheads
-# Work around for https://sourceware.org/bugzilla/show_bug.cgi?id=30566
-ifeq (,$(filter i386 amd64 ppc64%,$(DEB_HOST_ARCH)))
 LDFLAGS += -Wl,--no-keep-memory
-endif
 LDFLAGS += -Wl,--as-needed
+
+# Make the linker generate compressed debug sections. dh_strip would do
+# the same anyways, but it allows elfhack to work in combination with
+# unstripped binaries when they would normally be larger than 2GiB.
+# Doing this only on 64bit architectures.
+ifeq (64,$(DEB_BUILD_ARCH_BITS))
+	LDFLAGS += -Wl,--compress-debug-sections=zlib
+endif
 
 MOZ_ENABLE_V4L2 = 0
 MOZ_ENABLE_VAAPI = 0
@@ -98,7 +100,6 @@
 export MOZ_ENABLE_VAAPI
 # Some Debian build tools clear out some variables
 export SHELL=/bin/bash
-export PATH := /usr/lib/llvm-19/bin/:$(PATH)
 # Work around https://github.com/rust-lang/cargo/issues/7147
 export CARGO_HOME=$(CURDIR)/debian/.cargo
 export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
@@ -113,15 +114,12 @@
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory=obj-thunderbird
 	find -type f -name "*.pyc" -exec rm {} \;
-	rm -rf third_party/python/psutil/tmp
+	rm -rf .mypy_cache third_party/python/psutil/tmp
 	rm -f old-configure js/src/configure js/src/old-configure mozconfig.*
 	# needed for thunderbird-l10n
 	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
 	rm -rf $(CARGO_HOME)
 	rm -rf $(MOZBUILD_STATE_PATH)
-
-override_dh_clean:
-	dh_clean -d
 
 override_dh_auto_configure:
 	# copy the mozconfig files in place
@@ -135,8 +133,6 @@
 endif
 	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
 	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
-	# create empty but missed (and needed) gitmodules files
-	touch $(CURDIR)/comm/third_party/rust/wasi/.gitmodules
 	# configure the various build settings for thunderbird
 	DIST= python3 ./mach -v configure
 
@@ -218,3 +214,4 @@
 	-X usr/bin/thunderbird \
 	-X usr/lib/thunderbird/crashreporter \
 	-X usr/lib/thunderbird/crashhelper \
+	-X usr/lib/thunderbird/glxtest \

## thunderbird 144.0.1

=== debian/changelog ===
thunderbird (1:144.0.1-1) experimental; urgency=medium

  * [e2b674b] New upstream version 144.0.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Nov 2025 10:44:34 +0200
